## lxqt-panel 0.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
project(lxqt-panel)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

# additional cmake files
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(COMPILER_SUPPORTS_CXX11)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif(COMPILER_SUPPORTS_CXX0X)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
else()
    message(FATAL "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. C++11 support is required")
endif()

macro(setByDefault VAR_NAME VAR_VALUE)
  if(NOT DEFINED ${VAR_NAME})
    set (${VAR_NAME} ${VAR_VALUE})
  endif(NOT DEFINED ${VAR_NAME})
endmacro()

# use gcc visibility feature to decrease unnecessary exported symbols
if (CMAKE_COMPILER_IS_GNUCXX)
  # set visibility to hidden to hide symbols, unlesss they're exporeted manually in the code
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden -fno-exceptions")
  # set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,-no-undefined")
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

#########################################################################

add_definitions (-Wall)
include(GNUInstallDirs)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt5Widgets REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5LinguistTools REQUIRED)
find_package(Qt5Xml REQUIRED)
find_package(Qt5X11Extras REQUIRED)
find_package(KF5WindowSystem REQUIRED)

find_package(lxqt REQUIRED)
find_package(lxqt-globalkeys REQUIRED)
find_package(lxqt-globalkeys-ui REQUIRED)


include(LXQtTranslate)

# Warning: This must be before add_subdirectory(panel). Move with caution.
set(PLUGIN_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/lxqt-panel")
add_definitions(-DPLUGIN_DIR=\"${PLUGIN_DIR}\")
message(STATUS "Panel plugins location: ${PLUGIN_DIR}")

#########################################################################

# Plugin system
# You can enable/disable building of the plugin using cmake options.
#    cmake -DCLOCK_PLUGIN=Yes .. # Enable clock plugin
#    cmake -DCLOCK_PLUGIN=No ..  # Disable clock plugin

include("cmake/BuildPlugin.cmake")

set(ENABLED_PLUGINS) # list of enabled plugins
set(STATIC_PLUGINS) # list of statically linked plugins

setByDefault(CLOCK_PLUGIN Yes)
if(CLOCK_PLUGIN)
    list(APPEND STATIC_PLUGINS "clock")
    add_definitions(-DWITH_CLOCK_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Clock")
    add_subdirectory(plugin-clock)
endif()

setByDefault(COLORPICKER_PLUGIN Yes)
if(COLORPICKER_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Color Picker")
    add_subdirectory(plugin-colorpicker)
endif()

setByDefault(CPULOAD_PLUGIN Yes)
if(CPULOAD_PLUGIN)
    find_library(STATGRAB_LIB statgrab)

    if(NOT(${STATGRAB_LIB} MATCHES "NOTFOUND"))
        list(APPEND ENABLED_PLUGINS "Cpu Load")
        add_subdirectory(plugin-cpuload)
  else()
        message(STATUS "")
        message(STATUS "CPU Load plugin requires libstatgrab")
        message(STATUS "")
    endif()
endif()

setByDefault(DIRECTORYMENU_PLUGIN Yes)
if(DIRECTORYMENU_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Directory menu")
    add_subdirectory(plugin-directorymenu)
endif()

setByDefault(DOM_PLUGIN No)
if(DOM_PLUGIN)
    list(APPEND ENABLED_PLUGINS "DOM")
    add_subdirectory(plugin-dom)
endif(DOM_PLUGIN)

setByDefault(DESKTOPSWITCH_PLUGIN Yes)
if(DESKTOPSWITCH_PLUGIN)
    list(APPEND STATIC_PLUGINS "desktopswitch")
    add_definitions(-DWITH_DESKTOPSWITCH_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Desktop Switcher")
    add_subdirectory(plugin-desktopswitch)
endif()

setByDefault(KBINDICATOR_PLUGIN Yes)
if(KBINDICATOR_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Keyboard Indicator")
    add_subdirectory(plugin-kbindicator)
endif(KBINDICATOR_PLUGIN)

setByDefault(MAINMENU_PLUGIN Yes)
if(MAINMENU_PLUGIN)
    list(APPEND STATIC_PLUGINS "mainmenu")
    add_definitions(-DWITH_MAINMENU_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Application menu")
    add_subdirectory(plugin-mainmenu)
endif()

setByDefault(MOUNT_PLUGIN Yes)
if(MOUNT_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Mount")
    add_subdirectory(plugin-mount)
endif(MOUNT_PLUGIN)

setByDefault(QUICKLAUNCH_PLUGIN Yes)
if(QUICKLAUNCH_PLUGIN)
    list(APPEND STATIC_PLUGINS "quicklaunch")
    add_definitions(-DWITH_QUICKLAUNCH_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Quicklaunch")
    add_subdirectory(plugin-quicklaunch)
endif()

setByDefault(SCREENSAVER_PLUGIN Yes)
if(SCREENSAVER_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Screensaver")
    add_subdirectory(plugin-screensaver)
endif()

setByDefault(SENSORS_PLUGIN Yes)
if(SENSORS_PLUGIN)
    find_library(SENSORS_LIB sensors)

    if(NOT(${SENSORS_LIB} MATCHES "NOTFOUND"))
        list(APPEND ENABLED_PLUGINS "Sensors")
        add_subdirectory(plugin-sensors)
    else()
        message(STATUS "")
        message(STATUS "Sensors plugin requires lm_sensors")
        message(STATUS "")
    endif()
endif()

setByDefault(SHOWDESKTOP_PLUGIN Yes)
if(SHOWDESKTOP_PLUGIN)
    list(APPEND STATIC_PLUGINS "showdesktop")
    add_definitions(-DWITH_SHOWDESKTOP_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Show Desktop")
    add_subdirectory(plugin-showdesktop)
endif()

setByDefault(NETWORKMONITOR_PLUGIN Yes)
if(NETWORKMONITOR_PLUGIN)
    find_library(STATGRAB_LIB statgrab)

    if(NOT(${STATGRAB_LIB} MATCHES "NOTFOUND"))
        list(APPEND ENABLED_PLUGINS "Network Monitor")
        add_subdirectory(plugin-networkmonitor)
    else()
        message(STATUS "")
        message(STATUS "Network Monitor plugin requires libstatgrab")
        message(STATUS "")
    endif()
endif()

setByDefault(SYSSTAT_PLUGIN Yes)
if(SYSSTAT_PLUGIN)
    list(APPEND ENABLED_PLUGINS "System Stats")
    add_subdirectory(plugin-sysstat)
endif(SYSSTAT_PLUGIN)

setByDefault(TASKBAR_PLUGIN Yes)
if(TASKBAR_PLUGIN)
  list(APPEND STATIC_PLUGINS "taskbar")
  add_definitions(-DWITH_TASKBAR_PLUGIN)
  list(APPEND ENABLED_PLUGINS "Taskbar")
  add_subdirectory(plugin-taskbar)
endif()

setByDefault(STATUSNOTIFIER_PLUGIN Yes)
if(STATUSNOTIFIER_PLUGIN)
    list(APPEND STATIC_PLUGINS "statusnotifier")
    add_definitions(-DWITH_STATUSNOTIFIER_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Status Notifier")
    add_subdirectory(plugin-statusnotifier)
endif()

setByDefault(TRAY_PLUGIN Yes)
if(TRAY_PLUGIN)
    list(APPEND STATIC_PLUGINS "tray")
    add_definitions(-DWITH_TRAY_PLUGIN)
    list(APPEND ENABLED_PLUGINS "System Tray")
    add_subdirectory(plugin-tray)
endif()

setByDefault(VOLUME_PLUGIN Yes)
setByDefault(VOLUME_USE_PULSEAUDIO Yes)
setByDefault(VOLUME_USE_ALSA Yes)
if(VOLUME_PLUGIN)
    if (VOLUME_USE_PULSEAUDIO)
        find_package(PulseAudio)
    endif(VOLUME_USE_PULSEAUDIO)

    if(VOLUME_USE_ALSA)
        find_package(ALSA)
    endif()

    if(PULSEAUDIO_FOUND OR ALSA_FOUND)
        list(APPEND ENABLED_PLUGINS   "Volume")
        message(STATUS "")
        message(STATUS "Volume plugin will be built")
        message(STATUS "    ALSA: ${ALSA_FOUND}")
        message(STATUS "    PulseAudio: ${PULSEAUDIO_FOUND}")
        message(STATUS "")
        add_subdirectory(plugin-volume)
    else()
        message(STATUS "")
        message(STATUS "Volume plugin requires pulseaudio or alsa")
        message(STATUS "    ALSA: ${ALSA_FOUND}")
        message(STATUS "    PulseAudio: ${PULSEAUDIO_FOUND}")
        message(STATUS "")
    endif()
endif()

setByDefault(WORLDCLOCK_PLUGIN Yes)
if(WORLDCLOCK_PLUGIN)
    list(APPEND STATIC_PLUGINS "worldclock")
    add_definitions(-DWITH_WORLDCLOCK_PLUGIN)
    list(APPEND ENABLED_PLUGINS "World Clock")
    add_subdirectory(plugin-worldclock)
endif(WORLDCLOCK_PLUGIN)

setByDefault(SPACER_PLUGIN Yes)
if(SPACER_PLUGIN)
    list(APPEND STATIC_PLUGINS "spacer")
    add_definitions(-DWITH_SPACER_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Spacer")
    add_subdirectory(plugin-spacer)
endif()

#########################################################################

message(STATUS  "**************** The following plugins will be built ****************")
foreach (PLUGIN_STR ${ENABLED_PLUGINS})
    message(STATUS "  ${PLUGIN_STR}")
endforeach()
message(STATUS "*********************************************************************")

add_subdirectory(panel)

# building tarball with CPack -------------------------------------------------
include(InstallRequiredSystemLibraries)
set(CPACK_PACKAGE_VERSION_MAJOR ${LXQT_MAJOR_VERSION})
set(CPACK_PACKAGE_VERSION_MINOR ${LXQT_MINOR_VERSION})
set(CPACK_PACKAGE_VERSION_PATCH ${LXQT_PATCH_VERSION})
set(CPACK_GENERATOR TBZ2)
set(CPACK_SOURCE_GENERATOR TBZ2)
set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
include(CPack)

=== panel/CMakeLists.txt ===
set(PROJECT lxqt-panel)

set(PRIV_HEADERS
    panelpluginsmodel.h
    lxqtpanel.h
    lxqtpanelapplication.h
    lxqtpanellayout.h
    plugin.h
    lxqtpanellimits.h
    popupmenu.h
    pluginmoveprocessor.h
    lxqtpanelpluginconfigdialog.h
    config/configpaneldialog.h
    config/configpanelwidget.h
    config/configpluginswidget.h
    config/addplugindialog.h
)

# using LXQt namespace in the public headers.
set(PUB_HEADERS
    lxqtpanelglobals.h
    ilxqtpanelplugin.h
    ilxqtpanel.h
)

set(SOURCES
    main.cpp
    panelpluginsmodel.cpp
    lxqtpanel.cpp
    lxqtpanelapplication.cpp
    lxqtpanellayout.cpp
    plugin.cpp
    popupmenu.cpp
    pluginmoveprocessor.cpp
    lxqtpanelpluginconfigdialog.cpp
    config/configpaneldialog.cpp
    config/configpanelwidget.cpp
    config/configpluginswidget.cpp
    config/addplugindialog.cpp
)

set(UI
    config/configpanelwidget.ui
    config/configpluginswidget.ui
    config/addplugindialog.ui
)

set(LIBRARIES
    lxqt
)

file(GLOB CONFIG_FILES resources/*.conf)

############################################

add_definitions(-DCOMPILE_LXQT_PANEL)

set(PLUGIN_DESKTOPS_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/lxqt/${PROJECT}")
add_definitions(-DPLUGIN_DESKTOPS_DIR=\"${PLUGIN_DESKTOPS_DIR}\")

project(${PROJECT})

set(QTX_LIBRARIES Qt5::Widgets Qt5::Xml Qt5::DBus)

# Translations
lxqt_translate_ts(QM_FILES SOURCES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${PUB_HEADERS}
        ${PRIV_HEADERS}
        ${SOURCES}
        ${UI}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(SOURCES ${PROJECT_NAME})

add_executable(${PROJECT}
    ${PUB_HEADERS}
    ${PRIV_HEADERS}
    ${QM_FILES}
    ${SOURCES}
    ${UI}
)

target_link_libraries(${PROJECT}
    ${LIBRARIES}
    ${QTX_LIBRARIES}
    KF5::WindowSystem
    ${STATIC_PLUGINS}
)

install(TARGETS ${PROJECT} RUNTIME DESTINATION bin)
install(FILES ${CONFIG_FILES} DESTINATION ${LXQT_ETC_XDG_DIR}/lxqt)
install(FILES ${PUB_HEADERS} DESTINATION include/lxqt)

=== plugin-clock/CMakeLists.txt ===
set(PLUGIN "clock")

set(HEADERS
    lxqtclock.h
    lxqtclockconfiguration.h
    calendarpopup.h
)

set(SOURCES
    lxqtclock.cpp
    lxqtclockconfiguration.cpp
    calendarpopup.cpp
)

set(UIS
    lxqtclockconfiguration.ui
)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-colorpicker/CMakeLists.txt ===
set(PLUGIN "colorpicker")

set(HEADERS
    colorpicker.h
)

set(SOURCES
    colorpicker.cpp
)

set(UIS "")

set(LIBRARIES
    lxqt
)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-kbindicator/CMakeLists.txt ===
set(PLUGIN "kbindicator")

set(HEADERS
    src/kbdstate.h
    src/settings.h
    src/content.h
    src/kbdlayout.h
    src/kbdinfo.h
    src/kbdkeeper.h
    src/kbdwatcher.h
    src/controls.h
    src/kbdstateconfig.h
)

set(SOURCES
    kbindicator-plugin.cpp
    src/kbdstate.cpp
    src/settings.cpp
    src/content.cpp
    src/kbdkeeper.cpp
    src/kbdwatcher.cpp
    src/kbdstateconfig.cpp
)

set(UIS
    src/kbdstateconfig.ui
)

set(LIBRARIES
)

find_package(PkgConfig REQUIRED)
pkg_check_modules(XKB_COMMON REQUIRED xkbcommon)
pkg_check_modules(XKB_COMMON_X11 QUIET xkbcommon-x11)

if(XKB_COMMON_X11_FOUND)
    message(STATUS "XkbCommon X11 was found")
    find_package(Qt5 COMPONENTS X11Extras Xml)
    pkg_check_modules(XCB_XCB xcb-xkb)

    set(HEADERS
        ${HEADERS}
        src/x11/kbdlayout.h
    )

    set(SOURCES
        ${SOURCES}
        src/x11/kbdlayout.cpp
    )

    set(LIBRARIES
        ${LIBRARIES}
        ${XKB_COMMON_X11_LIBRARIES}
        ${XCB_XCB_LIBRARIES}
        Qt5::Xml
    )

    add_definitions(-DX11_ENABLED)
else()
    message(FATAL_ERROR "No XkbCommon backend(X11) found!")
endif()

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-mainmenu/CMakeLists.txt ===
set(PLUGIN "mainmenu")

set(HEADERS
    lxqtmainmenu.h
    menustyle.h
    lxqtmainmenuconfiguration.h
)

set(SOURCES
    lxqtmainmenu.cpp
    menustyle.cpp
    lxqtmainmenuconfiguration.cpp
)

set(UIS
    lxqtmainmenuconfiguration.ui
)

# optionally use libmenu-cache to generate the application menu
find_package(PkgConfig)
if(NOT WITHOUT_MENU_CACHE)
    pkg_check_modules(MENU_CACHE
        libmenu-cache>=0.3.3
    )
endif()

if(MENU_CACHE_FOUND)
    list(APPEND SOURCES xdgcachedmenu.cpp)
    list(APPEND MOCS xdgcachedmenu.h)

    include_directories(${MENU_CACHE_INCLUDE_DIRS})
    add_definitions(-DHAVE_MENU_CACHE=1)
endif()

set(LIBRARIES
    lxqt
    lxqt-globalkeys
    lxqt-globalkeys-ui
    ${MENU_CACHE_LIBRARIES}
)

set(QT_USE_QTXML 1)
set(QT_USE_QTDBUS 1)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-mount/CMakeLists.txt ===
set(PLUGIN "mount")

set(HEADERS
    lxqtmountplugin.h
    configuration.h
    button.h
    menudiskitem.h
    popup.h
    actions/deviceaction.h
    actions/deviceaction_info.h
    actions/deviceaction_menu.h
    actions/deviceaction_nothing.h
)

set(SOURCES
    lxqtmountplugin.cpp
    configuration.cpp
    button.cpp
    menudiskitem.cpp
    popup.cpp
    actions/deviceaction.cpp
    actions/deviceaction_info.cpp
    actions/deviceaction_menu.cpp
    actions/deviceaction_nothing.cpp
)

set(UIS
    configuration.ui
)

find_package(KF5Solid REQUIRED)
set(LIBRARIES Qt5Xdg KF5::Solid)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-networkmonitor/CMakeLists.txt ===
set(PLUGIN "networkmonitor")

set(HEADERS
    lxqtnetworkmonitorplugin.h
    lxqtnetworkmonitor.h
    lxqtnetworkmonitorconfiguration.h
)

set(SOURCES
    lxqtnetworkmonitorplugin.cpp
    lxqtnetworkmonitor.cpp
    lxqtnetworkmonitorconfiguration.cpp
)

set(UIS
    lxqtnetworkmonitorconfiguration.ui
)

set(RESOURCES
    resources.qrc
)

set(LIBRARIES ${STATGRAB_LIB})

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-screensaver/CMakeLists.txt ===
set(PLUGIN "screensaver")

set(HEADERS
    panelscreensaver.h
)

set(SOURCES
    panelscreensaver.cpp
)

set(LIBRARIES
    ${LIBRARIES}
    lxqt-globalkeys
)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-showdesktop/CMakeLists.txt ===
set(PLUGIN "showdesktop")

set(HEADERS
    showdesktop.h
)

set(SOURCES
    showdesktop.cpp
)

set(LIBRARIES
    ${LIBRARIES}
    lxqt-globalkeys
    Qt5Xdg
    ${XCB_LIBRARIES}
)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-statusnotifier/CMakeLists.txt ===
set(PLUGIN "statusnotifier")


find_package(dbusmenu-qt5 REQUIRED)

set(HEADERS
    statusnotifier.h
    dbustypes.h
    statusnotifierbutton.h
    statusnotifieriteminterface.h
    statusnotifierwatcher.h
    statusnotifierwidget.h
    sniasync.h
)

set(SOURCES
    statusnotifier.cpp
    dbustypes.cpp
    statusnotifierbutton.cpp
    statusnotifieriteminterface.cpp
    statusnotifierwatcher.cpp
    statusnotifierwidget.cpp
    sniasync.cpp
)

qt5_add_dbus_adaptor(SOURCES
    org.kde.StatusNotifierItem.xml
    statusnotifieriteminterface.h
    StatusNotifierItemInterface
)

set(LIBRARIES
    dbusmenu-qt5
)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-tray/CMakeLists.txt ===
set(PLUGIN "tray")

include(CheckLibraryExists)

find_package(PkgConfig)
pkg_check_modules(XCB REQUIRED xcb)
pkg_check_modules(XCB_UTIL REQUIRED xcb-util)
pkg_check_modules(XCB_DAMAGE REQUIRED xcb-damage)

find_package(X11 REQUIRED)
pkg_check_modules(XCOMPOSITE REQUIRED xcomposite)
pkg_check_modules(XDAMAGE REQUIRED xdamage)
pkg_check_modules(XRENDER REQUIRED xrender)

set(HEADERS
    lxqttrayplugin.h
    lxqttray.h
    trayicon.h
    xfitman.h
)

set(SOURCES
    lxqttrayplugin.cpp
    lxqttray.cpp
    trayicon.cpp
    xfitman.cpp
)

set(LIBRARIES
    ${X11_LIBRARIES}
    ${XCOMPOSITE_LIBRARIES}
    ${XDAMAGE_LIBRARIES}
    ${XRENDER_LIBRARIES}
    ${XCB_LIBRARIES}
    ${XCB_DAMAGE_LIBRARIES}
)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== debian/changelog ===
lxqt-panel (0.10.0-7) unstable; urgency=medium

  * Fix typo in hurd plugin rules

 -- Alf Gaida <agaida@siduction.org>  Mon, 28 Dec 2015 18:57:15 +0100

lxqt-panel (0.10.0-6) unstable; urgency=medium

  * different handling of non-linux-os:
    - hurd: no cpuload-, networkmonitor-, volume- and sensors-plugin
    - kfreebsd: no cpuload-, networkmonitor- and volume-plugin

 -- Alf Gaida <agaida@siduction.org>  Mon, 28 Dec 2015 17:07:30 +0100

lxqt-panel (0.10.0-5) unstable; urgency=medium

  * Build volume-plugin only for linux.

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Dec 2015 13:24:08 +0100

lxqt-panel (0.10.0-4) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym.
  * Build cpuoad- and networkmonitor-plugin only for linux.

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Dec 2015 11:15:32 +0100

lxqt-panel (0.10.0-3) unstable; urgency=medium

  * Added dependency lxmenu-data (Closes: 807066)

 -- Alf Gaida <agaida@siduction.org>  Sun, 20 Dec 2015 23:44:22 +0100

lxqt-panel (0.10.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 17 Nov 2015 12:35:47 +0800

lxqt-panel (0.10.0-1) experimental; urgency=medium

  * Cherry-picked upstream version 0.10.0.
  * Adjust minimum versions for liblxqt and libqtxdg

 -- Alf Gaida <agaida@siduction.org>  Fri, 13 Nov 2015 22:47:09 +0100

lxqt-panel (0.9.0+20151101-1) experimental; urgency=medium

  [ Alf Gaida ]
  * Cherry-picked upstream version 0.9.0+20151101.
  * Install manpage for lxqt-panel
  * Deleted debian/lintian-overrides
  * Cleaned up debian/.gitignore
  * Switched to experimental because of LXQt namespace change
  * Added minimum version for liblxqt and libqtxdg
  * Added upstream signing key and use it in watch file
  * drop transitional packages
  * drop breaks/replaces
  * append  -Wl,--as-needed to linker flags
  * copyright fixed, the panel uses only LGPL2.1+, file headers
    fixed upstream
  * Initial release (Closes: #747610)

  [ Shih-Yuan Lee (FourDollars) ]
  * Polish debian/control by 'cme fix dpkg-control'.

  [ Andrew Lee (李健秋) ]
  * Added myself as Uploader.
  * Sorting build-depends.
  * Removing whitespaces at EOL and EOF.

 -- Alf Gaida <agaida@siduction.org>  Sun, 25 Oct 2015 02:27:12 +0200

=== debian/control ===
Source: lxqt-panel
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: cmake (>= 3.0.2),
               debhelper (>= 9),
               libasound2-dev,
               libdbusmenu-qt5-dev,
               libglib2.0-dev,
               libicu-dev,
               liblxqt0-dev (>= 0.10.0),
               liblxqt-globalkeys0-dev,
               liblxqt-globalkeys-ui0-dev,
               libkf5windowsystem-dev,
               libkf5solid-dev,
               libmenu-cache-dev,
               libpulse-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 1.3.0),
               libsensors4-dev [!hurd-any],
               libstatgrab-dev [linux-any],
               libsysstat-qt5-0-dev (>= 0.3.0),
               libx11-dev,
               libxcomposite-dev,
               libxcb-util0-dev,
               libxcb-xkb-dev,
               libxcb-damage0-dev,
               libxdamage-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-panel.git
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-panel.git
Homepage: https://github.com/lxde/lxqt-panel

Package: lxqt-panel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lxmenu-data
Description: LXQt desktop panel
 The LXQt desktop panel
 .
 This package contain the LXQt panel.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
    NOT_LINUX := -DCPULOAD_PLUGIN=NO -DNETWORKMONITOR_PLUGIN=NO -DVOLUME_PLUGIN=NO
endif

ifeq ($(DEB_HOST_ARCH_OS), hurd)
    NOT_LINUX := -DCPULOAD_PLUGIN=NO -DNETWORKMONITOR_PLUGIN=NO -DVOLUME_PLUGIN=NO -DSENSORS_PLUGIN=NO  
endif

%:
	dh ${@} --buildsystem cmake \
		--parallel

override_dh_auto_configure:
	dh_auto_configure -- -DDOM_PLUGIN=YES $(NOT_LINUX)

## lxqt-panel 0.11.0

=== debian/changelog ===
lxqt-panel (0.11.0-2) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.0.
  * Synced debian foo with experimental
  * Bumped Standards to 3.9.8, no changes needed
  * Bumped compat to 10
  * Removed --parallel from rules, standard compat 10
  * Bumped minimum version debhelper (>= 10)
  * Bumped minimum version liblxqt0-dev (>= 0.11.0)
  * Bumped minimum version liblxqt-globalkeys0-dev (>= 0.11.0),
  * Bumped minimum version liblxqt-globalkeys-ui0-dev (>= 0.11.0),
  * Bumped minimum version libsysstat-qt5-0-dev (>= 0.3.2)
  * Added build-dependency libqt5svg5-dev
  * Added build-dependency libqtxdg-dev (>= 2.0.0)
  * Added build-dependency libqt5xdgiconloader-dev (>= 2.0.0)
  * Added Recommends lxqt-panel-l10n
  * Fixed VCS fields, point to the right branch
  * Fixed copyrights Format field to https
  * Bumped years in copyrights
  * Added translation control to rules
  * Added hardening options
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Exported LC_ALL=C.UTF-8, make builds reproducible

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 22:10:42 +0200

lxqt-panel (0.10.0-8) unstable; urgency=medium

  [ Ralf Jung ]
  * Add gbp.conf

  [ ChangZhuo Chen (陳昌倬) ]
  * Merge patch from Ralf Jung.
  * Bump Standards-Version to 3.9.7.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 21 Mar 2016 18:27:53 +0800

=== debian/control ===
Source: lxqt-panel
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               libasound2-dev,
               libdbusmenu-qt5-dev,
               libglib2.0-dev,
               libicu-dev,
               libkf5windowsystem-dev,
               libkf5solid-dev,
               liblxqt0-dev (>= 0.11.0),
               liblxqt-globalkeys0-dev (>= 0.11.0),
               liblxqt-globalkeys-ui0-dev (>= 0.11.0),
               libmenu-cache-dev,
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 2.0.0),
               libqt5xdgiconloader-dev (>= 2.0.0),
               libsensors4-dev [!hurd-any],
               libstatgrab-dev [linux-any],
               libsysstat-qt5-0-dev (>= 0.3.2),
               libx11-dev,
               libxcomposite-dev,
               libxcb-util0-dev,
               libxcb-xkb-dev,
               libxcb-damage0-dev,
               libxdamage-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-panel.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-panel.git
Homepage: https://github.com/lxde/lxqt-panel

Package: lxqt-panel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lxmenu-data
Recommends: lxqt-panel-l10n
Description: LXQt desktop panel
 The LXQt desktop panel
 .
 This package contain the LXQt panel.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
    NOT_LINUX := -DCPULOAD_PLUGIN=NO -DNETWORKMONITOR_PLUGIN=NO -DVOLUME_PLUGIN=NO
endif

ifeq ($(DEB_HOST_ARCH_OS), hurd)
    NOT_LINUX := -DCPULOAD_PLUGIN=NO -DNETWORKMONITOR_PLUGIN=NO -DVOLUME_PLUGIN=NO -DSENSORS_PLUGIN=NO
endif

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure --\
		-DPULL_TRANSLATIONS=OFF\
		-DUPDATE_TRANSLATIONS=OFF\
		-DDOM_PLUGIN=YES\
		-DCMAKE_BUILD_TYPE=RelWithDebInfo\
		$(NOT_LINUX)

## lxqt-panel 0.11.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,8 @@
 project(lxqt-panel)
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
+option(PULL_TRANSLATIONS "Pull translations" ON)
+option(WITH_SCREENSAVER_FALLBACK "Include support for converting the deprecated 'screensaver' plugin to 'quicklaunch'. This requires the lxqt-leave (lxqt-session) to be installed in runtime." ON)
 
 # additional cmake files
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
@@ -34,8 +36,6 @@
   # set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,-no-undefined")
 endif()
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
-
 #########################################################################
 
 add_definitions (-Wall)
@@ -63,7 +63,10 @@
 
 # Warning: This must be before add_subdirectory(panel). Move with caution.
 set(PLUGIN_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/lxqt-panel")
-add_definitions(-DPLUGIN_DIR=\"${PLUGIN_DIR}\")
+add_definitions(
+    -DPLUGIN_DIR=\"${PLUGIN_DIR}\"
+    -DQT_USE_QSTRINGBUILDER
+)
 message(STATUS "Panel plugins location: ${PLUGIN_DIR}")
 
 #########################################################################
@@ -96,14 +99,11 @@
 if(CPULOAD_PLUGIN)
     find_library(STATGRAB_LIB statgrab)
 
-    if(NOT(${STATGRAB_LIB} MATCHES "NOTFOUND"))
-        list(APPEND ENABLED_PLUGINS "Cpu Load")
-        add_subdirectory(plugin-cpuload)
-  else()
-        message(STATUS "")
-        message(STATUS "CPU Load plugin requires libstatgrab")
-        message(STATUS "")
-    endif()
+    if(NOT STATGRAB_LIB)
+        message(FATAL_ERROR "CPU Load plugin requires libstatgrab")
+    endif()
+    list(APPEND ENABLED_PLUGINS "Cpu Load")
+    add_subdirectory(plugin-cpuload)
 endif()
 
 setByDefault(DIRECTORYMENU_PLUGIN Yes)
@@ -154,24 +154,15 @@
     add_subdirectory(plugin-quicklaunch)
 endif()
 
-setByDefault(SCREENSAVER_PLUGIN Yes)
-if(SCREENSAVER_PLUGIN)
-    list(APPEND ENABLED_PLUGINS "Screensaver")
-    add_subdirectory(plugin-screensaver)
-endif()
-
 setByDefault(SENSORS_PLUGIN Yes)
 if(SENSORS_PLUGIN)
     find_library(SENSORS_LIB sensors)
 
-    if(NOT(${SENSORS_LIB} MATCHES "NOTFOUND"))
-        list(APPEND ENABLED_PLUGINS "Sensors")
-        add_subdirectory(plugin-sensors)
-    else()
-        message(STATUS "")
-        message(STATUS "Sensors plugin requires lm_sensors")
-        message(STATUS "")
-    endif()
+    if(NOT SENSORS_LIB)
+        message(FATAL_ERROR "Sensors plugin requires lm_sensors")
+    endif()
+    list(APPEND ENABLED_PLUGINS "Sensors")
+    add_subdirectory(plugin-sensors)
 endif()
 
 setByDefault(SHOWDESKTOP_PLUGIN Yes)
@@ -186,14 +177,11 @@
 if(NETWORKMONITOR_PLUGIN)
     find_library(STATGRAB_LIB statgrab)
 
-    if(NOT(${STATGRAB_LIB} MATCHES "NOTFOUND"))
-        list(APPEND ENABLED_PLUGINS "Network Monitor")
-        add_subdirectory(plugin-networkmonitor)
-    else()
-        message(STATUS "")
-        message(STATUS "Network Monitor plugin requires libstatgrab")
-        message(STATUS "")
-    endif()
+    if(NOT STATGRAB_LIB)
+        message(FATAL_ERROR "Network Monitor plugin requires libstatgrab")
+    endif()
+    list(APPEND ENABLED_PLUGINS "Network Monitor")
+    add_subdirectory(plugin-networkmonitor)
 endif()
 
 setByDefault(SYSSTAT_PLUGIN Yes)
@@ -232,27 +220,25 @@
 if(VOLUME_PLUGIN)
     if (VOLUME_USE_PULSEAUDIO)
         find_package(PulseAudio)
+        if (NOT PULSEAUDIO_FOUND)
+            message(FATAL_ERROR "PulseAudio not found, but required (VOLUME_USE_PULSEAUDIO) for Volume plugin!")
+        endif ()
     endif(VOLUME_USE_PULSEAUDIO)
 
     if(VOLUME_USE_ALSA)
         find_package(ALSA)
-    endif()
-
-    if(PULSEAUDIO_FOUND OR ALSA_FOUND)
-        list(APPEND ENABLED_PLUGINS   "Volume")
-        message(STATUS "")
-        message(STATUS "Volume plugin will be built")
-        message(STATUS "    ALSA: ${ALSA_FOUND}")
-        message(STATUS "    PulseAudio: ${PULSEAUDIO_FOUND}")
-        message(STATUS "")
-        add_subdirectory(plugin-volume)
-    else()
-        message(STATUS "")
-        message(STATUS "Volume plugin requires pulseaudio or alsa")
-        message(STATUS "    ALSA: ${ALSA_FOUND}")
-        message(STATUS "    PulseAudio: ${PULSEAUDIO_FOUND}")
-        message(STATUS "")
-    endif()
+        if (NOT ALSA_FOUND)
+            message(FATAL_ERROR "ALSA not found, but required (VOLUME_USE_ALSA) for Volume plugin!")
+        endif ()
+    endif()
+
+    list(APPEND ENABLED_PLUGINS   "Volume")
+    message(STATUS "")
+    message(STATUS "Volume plugin will be built")
+    message(STATUS "    ALSA: ${ALSA_FOUND}")
+    message(STATUS "    PulseAudio: ${PULSEAUDIO_FOUND}")
+    message(STATUS "")
+    add_subdirectory(plugin-volume)
 endif()
 
 setByDefault(WORLDCLOCK_PLUGIN Yes)
@@ -280,13 +266,3 @@
 message(STATUS "*********************************************************************")
 
 add_subdirectory(panel)
-
-# building tarball with CPack -------------------------------------------------
-include(InstallRequiredSystemLibraries)
-set(CPACK_PACKAGE_VERSION_MAJOR ${LXQT_MAJOR_VERSION})
-set(CPACK_PACKAGE_VERSION_MINOR ${LXQT_MINOR_VERSION})
-set(CPACK_PACKAGE_VERSION_PATCH ${LXQT_PATCH_VERSION})
-set(CPACK_GENERATOR TBZ2)
-set(CPACK_SOURCE_GENERATOR TBZ2)
-set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
-include(CPack)

=== plugin-cpuload/CMakeLists.txt ===
set(PLUGIN "cpuload")

set(HEADERS
    lxqtcpuloadplugin.h
    lxqtcpuload.h
    lxqtcpuloadconfiguration.h
)

set(SOURCES
    lxqtcpuloadplugin.cpp
    lxqtcpuload.cpp
    lxqtcpuloadconfiguration.cpp
)

set(UIS
    lxqtcpuloadconfiguration.ui
)

set(LIBRARIES ${STATGRAB_LIB})

BUILD_LXQT_PLUGIN(${PLUGIN})

=== debian/changelog ===
lxqt-panel (0.11.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.0 (Closes: #821382).
  * Removed some build dependencies:
    - cmake
    - libqt5xdg-dev
    - libqt5xdgiconloader-dev
    - pkg-config
    - qttools5-dev
    - qttools5-dev-tools
  * Bumped some build dependencies:
    - liblxqt0-dev (>= 0.11.1)
    - liblxqt-globalkeys0-dev (>= 0.11.1)
    - liblxqt-globalkeys-ui0-dev (>= 0.11.1)
    - libsysstat-qt5-0-dev (>= 0.3.3)
  * Fixed VCS-Git, pointing to the right branch
  * Bumped years in d/copyright 

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 18:12:54 +0100

=== debian/control ===
Source: lxqt-panel
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               libasound2-dev,
               libdbusmenu-qt5-dev,
               libglib2.0-dev,
               libicu-dev,
               libkf5windowsystem-dev,
               libkf5solid-dev,
               liblxqt0-dev (>= 0.11.1),
               liblxqt-globalkeys0-dev (>= 0.11.1),
               liblxqt-globalkeys-ui0-dev (>= 0.11.1),
               libmenu-cache-dev,
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsensors4-dev [!hurd-any],
               libstatgrab-dev [linux-any],
               libsysstat-qt5-0-dev (>= 0.3.3),
               libx11-dev,
               libxcomposite-dev,
               libxcb-util0-dev,
               libxcb-xkb-dev,
               libxcb-damage0-dev,
               libxdamage-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-panel.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-panel.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-panel

Package: lxqt-panel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lxmenu-data
Recommends: lxqt-panel-l10n
Description: LXQt desktop panel
 The LXQt desktop panel
 .
 This package contain the LXQt panel.

=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure --\
-		-DPULL_TRANSLATIONS=OFF\
-		-DUPDATE_TRANSLATIONS=OFF\
-		-DDOM_PLUGIN=YES\
-		-DCMAKE_BUILD_TYPE=RelWithDebInfo\
+		-DPULL_TRANSLATIONS=OFF \
+		-DUPDATE_TRANSLATIONS=OFF \
+		-DDOM_PLUGIN=YES \
+		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		$(NOT_LINUX)

## lxqt-panel 0.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -58,6 +58,11 @@
 find_package(lxqt-globalkeys REQUIRED)
 find_package(lxqt-globalkeys-ui REQUIRED)
 
+# Patch Version
+set(LXQT_PANEL_PATCH_VERSION 0)
+
+set(LXQT_PANEL_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PANEL_PATCH_VERSION})
+add_definitions("-DLXQT_PANEL_VERSION=\"${LXQT_PANEL_VERSION}\"")
 
 include(LXQtTranslate)
 
@@ -266,3 +271,7 @@
 message(STATUS "*********************************************************************")
 
 add_subdirectory(panel)
+
+# merged from lxqt-common
+add_subdirectory(autostart)
+add_subdirectory(menu)

=== autostart/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

file(GLOB DESKTOP_FILES_IN *.desktop.in)

# Translations **********************************
lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
        ${DESKTOP_FILES_IN}
)
add_custom_target(lxqt_panel_autostart_desktop_files ALL DEPENDS ${DESKTOP_FILES})
#************************************************

install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${LXQT_ETC_XDG_DIR}/autostart"
    COMPONENT Runtime
)

=== panel/CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,13 @@
 
 set(PRIV_HEADERS
     panelpluginsmodel.h
+    windownotifier.h
     lxqtpanel.h
     lxqtpanelapplication.h
+    lxqtpanelapplication_p.h
     lxqtpanellayout.h
     plugin.h
+    pluginsettings_p.h
     lxqtpanellimits.h
     popupmenu.h
     pluginmoveprocessor.h
@@ -19,6 +22,7 @@
 # using LXQt namespace in the public headers.
 set(PUB_HEADERS
     lxqtpanelglobals.h
+    pluginsettings.h
     ilxqtpanelplugin.h
     ilxqtpanel.h
 )
@@ -26,10 +30,12 @@
 set(SOURCES
     main.cpp
     panelpluginsmodel.cpp
+    windownotifier.cpp
     lxqtpanel.cpp
     lxqtpanelapplication.cpp
     lxqtpanellayout.cpp
     plugin.cpp
+    pluginsettings.cpp
     popupmenu.cpp
     pluginmoveprocessor.cpp
     lxqtpanelpluginconfigdialog.cpp
@@ -58,6 +64,11 @@
 set(PLUGIN_DESKTOPS_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/lxqt/${PROJECT}")
 add_definitions(-DPLUGIN_DESKTOPS_DIR=\"${PLUGIN_DESKTOPS_DIR}\")
 
+if (WITH_SCREENSAVER_FALLBACK)
+    message(STATUS "Building with conversion of deprecated 'screensaver' plugin")
+    add_definitions(-DWITH_SCREENSAVER_FALLBACK "-DLXQT_LOCK_DESKTOP=\"${CMAKE_INSTALL_FULL_DATAROOTDIR}/applications/lxqt-lockscreen.desktop\"")
+endif ()
+
 project(${PROJECT})
 
 set(QTX_LIBRARIES Qt5::Widgets Qt5::Xml Qt5::DBus)
@@ -73,6 +84,16 @@
         ${UI}
     INSTALL_DIR
         "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+    PULL_TRANSLATIONS
+        ${PULL_TRANSLATIONS}
+    CLEAN_TRANSLATIONS
+        ${CLEAN_TRANSLATIONS}
+    TRANSLATIONS_REPO
+        ${TRANSLATIONS_REPO}
+    TRANSLATIONS_REFSPEC
+        ${TRANSLATIONS_REFSPEC}
+    REPO_SUBDIR
+        "${PROJECT_NAME}/panel"
 )
 
 lxqt_app_translation_loader(SOURCES ${PROJECT_NAME})
@@ -95,3 +116,8 @@
 install(TARGETS ${PROJECT} RUNTIME DESTINATION bin)
 install(FILES ${CONFIG_FILES} DESTINATION ${LXQT_ETC_XDG_DIR}/lxqt)
 install(FILES ${PUB_HEADERS} DESTINATION include/lxqt)
+install(FILES
+    man/lxqt-panel.1
+    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
+    COMPONENT Runtime
+)

=== plugin-kbindicator/CMakeLists.txt ===
set(PLUGIN "kbindicator")

set(HEADERS
    src/kbdstate.h
    src/settings.h
    src/content.h
    src/kbdlayout.h
    src/kbdinfo.h
    src/kbdkeeper.h
    src/kbdwatcher.h
    src/controls.h
    src/kbdstateconfig.h
)

set(SOURCES
    kbindicator-plugin.cpp
    src/kbdstate.cpp
    src/settings.cpp
    src/content.cpp
    src/kbdkeeper.cpp
    src/kbdwatcher.cpp
    src/kbdstateconfig.cpp
)

set(UIS
    src/kbdstateconfig.ui
)

set(LIBRARIES
)

find_package(XCB REQUIRED COMPONENTS xkbcommon-x11 xkbcommon xcb xcb-xkb)
find_package(Qt5 REQUIRED COMPONENTS X11Extras Xml)

include_directories(${XCB_INCLUDE_DIRS})

set(HEADERS
    ${HEADERS}
    src/x11/kbdlayout.h
)

set(SOURCES
    ${SOURCES}
    src/x11/kbdlayout.cpp
)

set(LIBRARIES
    ${LIBRARIES}
    ${XCB_LIBRARIES}
    Qt5::Xml
)

add_definitions(-DX11_ENABLED)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-tray/CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,8 @@
 
 include(CheckLibraryExists)
 
+find_package(XCB REQUIRED COMPONENTS xcb xcb-util xcb-damage)
 find_package(PkgConfig)
-pkg_check_modules(XCB REQUIRED xcb)
-pkg_check_modules(XCB_UTIL REQUIRED xcb-util)
-pkg_check_modules(XCB_DAMAGE REQUIRED xcb-damage)
 
 find_package(X11 REQUIRED)
 pkg_check_modules(XCOMPOSITE REQUIRED xcomposite)
@@ -32,7 +30,6 @@
     ${XDAMAGE_LIBRARIES}
     ${XRENDER_LIBRARIES}
     ${XCB_LIBRARIES}
-    ${XCB_DAMAGE_LIBRARIES}
 )
 
 BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-volume/CMakeLists.txt ===
set(PLUGIN "volume")

set(HEADERS
    lxqtvolume.h
    volumebutton.h
    volumepopup.h
    audiodevice.h
    lxqtvolumeconfiguration.h
    audioengine.h
)

set(SOURCES
    ${PROJECT_SOURCE_DIR}/panel/lxqtpanelpluginconfigdialog.cpp
    lxqtvolume.cpp
    volumebutton.cpp
    volumepopup.cpp
    audiodevice.cpp
    lxqtvolumeconfiguration.cpp
    audioengine.cpp
    ossengine.cpp
)

set(UIS
    lxqtvolumeconfiguration.ui
)

set(LIBRARIES
    ${LIBRARIES}
    lxqt-globalkeys
    Qt5Xdg
)

if(PULSEAUDIO_FOUND)
    add_definitions(-DUSE_PULSEAUDIO)
    include_directories(${PULSEAUDIO_INCLUDE_DIR})
    set(HEADERS ${HEADERS} pulseaudioengine.h)
    set(SOURCES ${SOURCES} pulseaudioengine.cpp)
    set(MOCS ${MOCS} pulseaudioengine.h)
    set(LIBRARIES ${LIBRARIES} ${PULSEAUDIO_LIBRARY})
endif()

if(ALSA_FOUND)
    add_definitions(-DUSE_ALSA)
    set(HEADERS ${HEADERS} alsaengine.h alsadevice.h)
    set(SOURCES ${SOURCES} alsaengine.cpp alsadevice.cpp)
    set(MOCS ${MOCS} alsaengine.h alsadevice.h)
    set(LIBRARIES ${LIBRARIES} ${ALSA_LIBRARIES})
endif()

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-worldclock/CMakeLists.txt ===
set(PLUGIN "worldclock")

set(HEADERS
    lxqtworldclock.h
    lxqtworldclockconfiguration.h
    lxqtworldclockconfigurationtimezones.h
    lxqtworldclockconfigurationmanualformat.h
)

set(SOURCES
    lxqtworldclock.cpp
    lxqtworldclockconfiguration.cpp
    lxqtworldclockconfigurationtimezones.cpp
    lxqtworldclockconfigurationmanualformat.cpp
)

set(UIS
    lxqtworldclockconfiguration.ui
    lxqtworldclockconfigurationtimezones.ui
    lxqtworldclockconfigurationmanualformat.ui
)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== debian/changelog ===
lxqt-panel (0.12.0-8ubuntu1) bionic; urgency=medium

  * Cherry-pick some upstream commits because the upstream release cycle is
    horribly slow (and without this it'll be years before they come in):
    - Fix wrongly positioned popups (LP: #1527013).
      + fix-wrongly-positioned-popups.patch
      + Upstream commit 7391172.
    - plugin-volume: Use a specific icon for the panel.
      + use-specific-panel-icon.patch
      + Upstream commit eaa65e5.
    - Fix various memory leaks.
      + fix-memory-leaks.patch
      + mainmenu: Fix possible leaks in menu-cache usage.
        * Upstream commit 04630d4.
      + mount: Fix leak by correctly assigning the QObject parent.
        * Upstream commit d1bd23f.
      + taskbar: Avoid conditionals on unintialized values by proper
        initialization of data members
        * Upstream commit 1cb5778.
    - Avoid infinite recursion when no icon is available.
      + avoid-infinite-recursion-icons.patch
      + Upstream commit b9b4133.
    - Add Move and Resize items in the task-button context menu.
      + add-move-resize-items.patch
      + Upstream commit b69fe72.
    - Set the initial task button text (and icon) correctly.
      + set-initial-task-button-correctly.patch
      + Upstream commit 563d6bf.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 05 Feb 2018 20:04:48 -0600

lxqt-panel (0.12.0-8build1) bionic; urgency=medium

  * No change rebuild against libdbusmenu-qt5-2.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 30 Jan 2018 22:29:41 +0300

lxqt-panel (0.12.0-8) unstable; urgency=medium

  * Fix plugin-volume, use pavucontrol-qt (Closes: #884547) 

 -- Alf Gaida <agaida@siduction.org>  Sat, 16 Dec 2017 18:36:45 +0100

lxqt-panel (0.12.0-7) unstable; urgency=medium

  * Bumped Standards to 4.1.2
  * Removed branch from VCS fields
  * Removed debian/gbp.conf

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 21:28:35 +0100

lxqt-panel (0.12.0-6) unstable; urgency=medium

  * Transition to unstable

 -- Alf Gaida <agaida@siduction.org>  Tue, 05 Dec 2017 20:04:19 +0100

lxqt-panel (0.12.0-5) experimental; urgency=medium

  * Ported back the config move to /usr/share/xdg (Closes: #883034) 

 -- Alf Gaida <agaida@siduction.org>  Sat, 02 Dec 2017 03:23:04 +0100

lxqt-panel (0.12.0-4) experimental; urgency=medium

  * Ported back some cosmetics (volume % and clock size)
    (Closes: #880150)

 -- Alf Gaida <agaida@siduction.org>  Sun, 05 Nov 2017 01:49:39 +0100

lxqt-panel (0.12.0-3) experimental; urgency=medium

  * Fixed host OS query in rules - we really want to know the system
    instead of set it

 -- Alf Gaida <agaida@siduction.org>  Sun, 29 Oct 2017 21:27:27 +0100

lxqt-panel (0.12.0-2) experimental; urgency=medium

  * Added missed breaks and replaces for lxqt-common << 0.12.0
    (Closes: #879910) - Thanks Andreas Beckmann <anbe@debian.org>
  * Time off fixed upstream (Closes: #855379)

 -- Alf Gaida <agaida@siduction.org>  Fri, 27 Oct 2017 23:27:44 +0200

lxqt-panel (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.12.0.
  * Switched to experimental
  * Bumped liblxqt0-dev to >= 0.12.0
  * Bumped liblxqt-globalkeys0-dev to >= 0.12.0
  * Bumped liblxqt-globalkeys-ui0-dev to >= 0.12.0
  * Bumped libsysstat-qt5-0-dev to >= 0.4.0
  * Bumped Standards to 4.1.1 - no changes needed
  * Removed patches - patch was taken from upstream

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Oct 2017 22:32:05 +0200

lxqt-panel (0.11.1-4) unstable; urgency=medium

  * Removed some not needed versions from build dependencies
  * Bumped Standards to 4.1.0 - no changes needed
  * Ported back fix for explicit keyword (Closes: #873599)
    Thanks Adrian Bunk for spotting this.

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Sep 2017 01:29:45 +0200

lxqt-panel (0.11.1-3) unstable; urgency=medium

  * Recommends lxqt-notificationd (Closes: #866886)

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Jul 2017 18:26:25 +0200

lxqt-panel (0.11.1-2) unstable; urgency=medium

  * Bumped Standards to 4.0.0 - no changes needed
  * Added to Dependencies: lxqt-about, lxqt-policykit
  * Added Recommends: lxqt-config, lxqt-panel-l10n, lxqt-qtplugin, lxqt-runner,
    lxqt-session, pavucontrol-qt | pavucontrol, qlipper
    (Closes: #866255)
  * Suggests: lxqt | lxqt-core

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Jul 2017 13:25:03 +0200

=== debian/control ===
Source: lxqt-panel
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               libasound2-dev,
               libdbusmenu-qt5-dev,
               libglib2.0-dev,
               libicu-dev,
               libkf5windowsystem-dev,
               libkf5solid-dev,
               liblxqt0-dev (>= 0.12.0),
               liblxqt-globalkeys0-dev (>= 0.12.0),
               liblxqt-globalkeys-ui0-dev (>= 0.12.0),
               libmenu-cache-dev,
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsensors4-dev [!hurd-any],
               libstatgrab-dev [linux-any],
               libsysstat-qt5-0-dev (>= 0.4.0),
               libx11-dev,
               libxcomposite-dev,
               libxcb-util0-dev,
               libxcb-xkb-dev,
               libxcb-damage0-dev,
               libxdamage-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-panel.git
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-panel.git
Homepage: https://github.com/lxde/lxqt-panel

Package: lxqt-panel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lxmenu-data,
         lxqt-about,
         lxqt-policykit
Recommends: lxqt-config,
            lxqt-notificationd,
            lxqt-panel-l10n,
            lxqt-qtplugin,
            lxqt-runner,
            lxqt-session,
            pavucontrol-qt | pavucontrol,
            qlipper
Suggests: lxqt | lxqt-core
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: LXQt desktop panel
 The LXQt desktop panel
 .
 This package contain the LXQt panel.

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,13 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
+WHICH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
 
-ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
+ifeq ($(WHICH_OS), kfreebsd)
     NOT_LINUX := -DCPULOAD_PLUGIN=NO -DNETWORKMONITOR_PLUGIN=NO -DVOLUME_PLUGIN=NO
 endif
 
-ifeq ($(DEB_HOST_ARCH_OS), hurd)
+ifeq ($(WHICH_OS), hurd)
     NOT_LINUX := -DCPULOAD_PLUGIN=NO -DNETWORKMONITOR_PLUGIN=NO -DVOLUME_PLUGIN=NO -DSENSORS_PLUGIN=NO
 endif

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-panel/releases .*/lxqt-panel-([\d\.]+).tar.xz
